#include <avr/io.h>
#include "led_wuerfel.h"
#include "sbit.h"
#include "io_label.h"

void set_wuerfel_g(int8_t nr) {
	if(nr == 0) {
		LED_G_lo = false;
		LED_G_lm = false;
		LED_G_lu = false;
		LED_G_ro = false;
		LED_G_rm = false;
		LED_G_ru = false;
		LED_G_m = false;
	} else if(nr == -1) {
		LED_G_lo = true;
		LED_G_lm = true;
		LED_G_lu = true;
		LED_G_ro = true;
		LED_G_rm = true;
		LED_G_ru = true;
		LED_G_m = true;
	} else if(nr == 1) {
		LED_G_lo = false;
		LED_G_lm = false;
		LED_G_lu = false;
		LED_G_ro = false;
		LED_G_rm = false;
		LED_G_ru = false;
		LED_G_m = true;
	} else if(nr == 2) {
		LED_G_lo = true;
		LED_G_lm = false;
		LED_G_lu = false;
		LED_G_ro = false;
		LED_G_rm = false;
		LED_G_ru = true;
		LED_G_m = false;
	} else if(nr == 3) {
		LED_G_lo = true;
		LED_G_lm = false;
		LED_G_lu = false;
		LED_G_ro = false;
		LED_G_rm = false;
		LED_G_ru = true;
		LED_G_m = true;
	} else if(nr == 4) {
		LED_G_lo = true;
		LED_G_lm = false;
		LED_G_lu = true;
		LED_G_ro = true;
		LED_G_rm = false;
		LED_G_ru = true;
		LED_G_m = false;
	} else if(nr == 5) {
		LED_G_lo = true;
		LED_G_lm = false;
		LED_G_lu = true;
		LED_G_ro = true;
		LED_G_rm = false;
		LED_G_ru = true;
		LED_G_m = true;
	} else if(nr == 6) {
		LED_G_lo = true;
		LED_G_lm = true;
		LED_G_lu = true;
		LED_G_ro = true;
		LED_G_rm = true;
		LED_G_ru = true;
		LED_G_m = false;
	}
	
	return;
}

void set_wuerfel_r(int8_t nr) {
	if(nr == 0) {
		LED_R_lo = false;
		LED_R_lm = false;
		LED_R_lu = false;
		LED_R_ro = false;
		LED_R_rm = false;
		LED_R_ru = false;
		LED_R_m = false;
	} else if(nr == -1) {
		LED_R_lo = true;
		LED_R_lm = true;
		LED_R_lu = true;
		LED_R_ro = true;
		LED_R_rm = true;
		LED_R_ru = true;
		LED_R_m = true;
	} else if(nr == 1) {
		LED_R_lo = false;
		LED_R_lm = false;
		LED_R_lu = false;
		LED_R_ro = false;
		LED_R_rm = false;
		LED_R_ru = false;
		LED_R_m = true;
	} else if(nr == 2) {
		LED_R_lo = true;
		LED_R_lm = false;
		LED_R_lu = false;
		LED_R_ro = false;
		LED_R_rm = false;
		LED_R_ru = true;
		LED_R_m = false;
	} else if(nr == 3) {
		LED_R_lo = true;
		LED_R_lm = false;
		LED_R_lu = false;
		LED_R_ro = false;
		LED_R_rm = false;
		LED_R_ru = true;
		LED_R_m = true;
	} else if(nr == 4) {
		LED_R_lo = true;
		LED_R_lm = false;
		LED_R_lu = true;
		LED_R_ro = true;
		LED_R_rm = false;
		LED_R_ru = true;
		LED_R_m = false;
	} else if(nr == 5) {
		LED_R_lo = true;
		LED_R_lm = false;
		LED_R_lu = true;
		LED_R_ro = true;
		LED_R_rm = false;
		LED_R_ru = true;
		LED_R_m = true;
	} else if(nr == 6) {
		LED_R_lo = true;
		LED_R_lm = true;
		LED_R_lu = true;
		LED_R_ro = true;
		LED_R_rm = true;
		LED_R_ru = true;
		LED_R_m = false;
	}
	
	return;
}